mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Security.Cryptography.MaskGenerationMethod This class implements MGF1 from PKCS#1: RSA Cryptography Standard (http://www.rsasecurity.com/rsalabs/pkcs/pkcs-1/index.html). This implementation is not compatible with Microsoft .NET Framework v1.0 and v1.1 (implementation bug) but is compatible with PKCS #1.
- Constructor
  Create a new instance of the PKCS#1 Mask Generation Function #1 (MGF1).
  This class isn't normally used by application developers. It is required to build the PKCS1 formatters and deformatters.
  1.0.5000.0
  2.0.0.0
- Method
  System.Byte[] `` `` The random seed to be used for the mask. The required length of the mask. Generate a new mask using the specified seed value. An array of byte containing the generated mask. This method is not compatible with the one provided by Microsoft in framework 1.0 and 1.1 (known bug) but IS compliant with PKCS#1 v.2.1 and work for implementing OAEP. 1.0.5000.0 2.0.0.0
- Property
  System.String The hash algorithm to be used by the mask function. The current hash algorithm being used to generate masks. Default is . 1.0.5000.0 2.0.0.0
System.Runtime.InteropServices.ComVisible(true)